> ## Documentation Index
> Fetch the complete documentation index at: https://developers.tarefy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List the history of an equipment



## OpenAPI

````yaml /api-reference/operacoes.yaml get /v2/equipment/{id}/history
openapi: 3.0.0
info:
  title: Tarefy API
  description: >-
    Tarefy REST API — task management, culture and performance platform.


    Endpoints are versioned at `/v2/...`. Authentication via Bearer JWT in the
    `Authorization` header.


    To get started, see the [authentication guide](/authentication) and the
    [quickstart](/quickstart).
  version: 2.0.0
  contact:
    name: Tarefy Support
    email: suporte@tarefy.com
    url: https://tarefy.com
  license:
    name: Proprietary
    url: https://tarefy.com
servers:
  - url: https://app.tarefy.com/nodeapi
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Equipment
    description: Equipment assigned to users
  - name: Equipment Categories
    description: Equipment categories
  - name: Resource Allocation
    description: Resource allocation by project
  - name: Storage
    description: Upload files
paths:
  /v2/equipment/{id}/history:
    get:
      tags:
        - Equipment
      summary: List the history of an equipment
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Histórico do equipamento retornado com sucesso
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````